Requester's Priority: Normal Platform: Ubuntu 14.04 64bit, Ubuntu 16.04 64bit,

Windows 7 64bit

Support Level: 3rd Level Topic: DisplayTB::SignalView

Resolution: Product Issue Opened FAQ Links:  

Description

Hallo,

Ein Kunde hat Probleme mit dem SignalView bei hohem Datenverkehr. Nicht die Performance selbst ist zu beklagen, sondern ein

ADTF Freeze, sobald man das "visible" Flag vom Signal View auf false setzt.

Ich hab es jetzt mit einer regulären Datenmenge nicht nachstellen können, da der Kunde das File nicht weitergeleitet hat. Ist aber

vielleicht etwas, was ihr euch notieren könnt, falls noch nicht bekannt; gefixt wird es ja nicht mehr, oder?

Hier noch die Infos vom Kunden:

ADTF Version: 2.12.0 (adtf-2.12.0-win64_vc100)

ADTF Display Toolbox Version: 2.0.0 (adtf-display-toolbox-2.0.0-adtf2.10.0-win64_vc100)

ADTF Device Toolbox Version: 2.4.0 (adtf-device-toolbox-2.4.0-adtf2.10.0-win64_vc100)

ADTF CompressionToolbox Version: 2.5.0 (adtf-compression-toolbox-2.5.0-adtf2.10.0-win64_vc100)

For being able to see the visible property for signal view, kindly add signal view in the configuration and click Init button. Once the

configuration is initialized we can see the property by clicking Ctrl+Alt+A(highlighted in attached screenshot

Adtf_working_fine_on_setting_visible_property_to_true.PNG )

We have attached the screen shots of ADTF getting freezed when we set the visible property to FALSE and also ADTF working fine

when we set the visible property to TRUE. Also please find the memory consumed when ADTF is

freezed(Adtf_memory_consumption.PNGand System_memory_consumption.PNG).

Also we have noticed that the problem of freezing occurs only when we try to register large number of signals into signal registry and

load them into signal view, say ~1 Lakh+ signals are present. We don't encounter any freezing if we have less number of signals

even when the visible property is set to FALSE.

History

#1 - 2017-07-12 14:55 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to DisplayTB::SignalView

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 2.12.0, ADTF Device Toolbox 2.4.0, ADTF Display Toolbox 2.0.0, ADTF Video Compression Toolbox 2.5.0 added

Bitte bewerten

#2 - 2017-07-18 18:56 - hidden

- Status changed from In Progress to To Be Closed

- Resolution set to Product Issue Opened

- Platform Ubuntu 14.04 64bit, Ubuntu 16.04 64bit, Windows 7 64bit added
Aus dieser Supportanfrage wurde ein Produktticket abgeleitet zum einführen eines Performance Requirements für die SignalView

https://www.cip.audi.de/jira/browse/ADISTB-832

Wenn keine weiteren Fragen bestehen kann diese Ticket geschlossen werden.

#3 - 2017-07-19 10:40 - hidden

Hallo,

ich habe noch mal ein Projekt vom Kunden erhalten, um es nachvollziehen zu können. Ich gebe euch, wenn ich es schaffe, heute noch Bescheid.

Eventuell kann ich euch noch mehr Infos zukommen lassen.

Wie informiert ihr mich dann über Neuigkeiten zu euren Tests, wenn ihr dieses Ticket schließt und ich keinen Zugriff auf das andere habe? Der Kunde

würde sich sicher über Updates in jeglicher Form freuen.

Viele Grüße

Ursula

#4 - 2017-07-19 10:48 - hidden

Hier schon mal die Beschreibung ohne sourcen:

We have created a sample project and you can reproduce the problem using our filter named "Demo MTS Sensor Decoder". We are using 3 Lakh

signals in the sample project

Steps for reproducing the problem.

1. Create a new project and load the filter Demo MTS Sensor Decoder and signal view. Now, initialize the configuration

2. Once initialization is over, press Ctrl+Alt+A (View->AllWindows), uncheck the visible property for Signal_View and save the project.

3. re-initialize the configuration and you will see the application freezing.

4. If you want to alter the property manually, plz look for file config\system.layout in the configuration

<filter Docked="false" Floating="false" Fullscreen="false" Height="567" Maximized="false" Minimized="false" PosX="-5" PosY="-7" TopOfMain="false"

Visible="true" Width="1055" name="Signal_View" />

5. You can again make it true, and ADTF works fine.

#5 - 2017-07-19 17:56 - hidden

- Subject changed from ADTFS-47225 Application Freeze during Initialization -> Support Requested to ADTFS-47225 Application freeze during

Initialization of several signals in Signal View

- Status changed from To Be Closed to Closed

- Support Level changed from 2nd Level to 3rd Level

Hallo Ursula,

es wurde eine Anforderung an den Signal View gestellt, entweder besser mit vielen Signalen zurecht zu kommen oder ein Limit entsprechend zu

dokumentieren.

Sobald das Ticket in Display TB 3.x umgesetzt ist, wird das dann auch entsprechend dokumentiert.

Du hast die Ticketnummer und die Planungsexports.

Bis dahin werden wir das Thema verifizieren ob es in 3.x auch so vorkommt.

Für 2.x können wir hierzu keine Lösung bieten.

#6 - 2017-07-19 18:00 - hidden

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ADISTB-832

#7 - 2018-01-25 12:08 - hidden

- Project changed from 7 to Public Support

- Private changed from Yes to No

#8 - 2020-07-07 16:58 - hidden

- Description updated
